(1945-2019) Hilgers died February 5 at the age of 73. He received his PhD from the University of Wisconsin-Madison in 1973 and joined the faculty at Michigan Technological University the following year. Hilgers retired from the university in 2007. Read more about his life in this obituary.